IXV(4)

NAME
ixv - Intel 10 Gigabit Ethernet virtual function

SYNOPSIS
ixv* at pci? dev ? function ?

DESCRIPTION
The ixv driver supports Intel 10 Gigabit Ethernet virtual function that 82599 and newer chips support. It can be used on a NetBSD guest that the host supports SR-IOV.

OPTIONS
The ixv driver doesn't use the common MCLGET(9) interface and use the driver specific cluster allocation mechanism. If it's exhausted, the evcnt(9) counter "ixgX qY Rx no jumbo mbuf" is incremented. If this is observed, the number can be changed by the following config parameter:

IXGBE_JCLNUM_MULTI
    The number of RX jumbo buffers (clusters) per queue is calculated by IXGBE_JCLNUM_MULTI * (number of rx descriptors). The total number of clusters per queue is available with the hw.ixgN.num_jcl_per_queue sysctl(7).

SEE ALSO
arp(4), ixg(4), netintro(4), vlan(4), ifconfig(8)

HISTORY
The ixv device driver comes from FreeBSD. It first appeared in NetBSD 8.0.

AUTHORS
The ixv driver was written by Intel Corporation <freebsdnic@mailbox.intel.com>.

BUGS
The following event counters are not cleared by SIOCZIFDATA because the corresponding registers are read only and not cleared on read:

Good Packets Received
Good Octets Received
Multicast Packets Received
Good Packets Transmitted
Good Octets Transmitted